Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate
Class FlagPropertyId

    java.lang.Object
      com.thaiopensource.util.PropertyId<Flag>
          com.thaiopensource.validate.FlagPropertyId

    public class FlagPropertyId

extends PropertyId<Flag>

A PropertyId whose value is not significant. Its significance rests purely on whether it is present in a PropertyMap. The value is constrained to be Flag.PRESENT.

See Also:
  `Flag`

Constructor Summary
`FlagPropertyId(String name)`

Method Summary
`void` | `add(PropertyMapBuilder builder)` Adds this property to a PropertyMapBuilder.

Methods inherited from class com.thaiopensource.util.PropertyId
`equals, get, getValueClass, hashCode, newInstance, put, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlagPropertyId

    public FlagPropertyId(String name)

Method Detail

### add

    public void add(PropertyMapBuilder builder)

  Adds this property to a PropertyMapBuilder. Modifies the PropertyMapBuilder so that this PropertyId is mapped to Flag.PRESENT.

  Parameters:
    `builder` - the PropertyMapBuilder to be modified

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD